> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plans

> Retrieve a list of plans.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/policies/plans
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/policies/plans:
    get:
      tags:
        - Policies
      summary: Get plans
      description: Retrieve a list of plans.
      parameters:
        - schema:
            type: string
          in: query
          name: plan_name
          required: false
          description: Plan name to filter by
        - schema:
            type: number
          in: query
          name: skip
          required: false
          description: Number of results to skip
        - schema:
            type: number
          in: query
          name: limit
          required: false
          description: Maximum number of results to return
      responses:
        '200':
          description: Successfully retrieved plans
          content:
            application/json:
              schema:
                type: object
                properties:
                  plans:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the plan
                        name:
                          type: string
                          description: Plan name
                        state:
                          type: string
                          description: State where the plan is available
                        company_id:
                          type: string
                          description: ID of the company that owns this plan
                      required:
                        - id
                        - name
                        - state
                        - company_id
                      additionalProperties: false
                  count:
                    type: number
                    description: Total number of plans available
                required:
                  - plans
                  - count
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true

````